package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 表面工艺信息
type MeshComp struct {
	Id          string               `bson:"id,omitempty" json:"id"`
	Name        string               `bson:"name,omitempty" json:"name"`
	FabricName  string               `bson:"fabricName,omitempty" json:"fabricName"`
	FinishUuid  string               `bson:"finishUuid,omitempty" json:"finishUuid"`
	FabricId    primitive.ObjectID   `bson:"fabricId,omitempty" json:"fabricId"`
	ShapeIds    []primitive.ObjectID `bson:"ShapeIds,omitempty" json:"ShapeIds"`
	FabricThumb string               `bson:"fabricThumb,omitempty" json:"fabricThumb"`
}

// 模型库
type ModelLib struct {
	Id         primitive.ObjectID   `bson:"_id,omitempty" json:"_id"`
	MatIds     []primitive.ObjectID `bson:"matIds,omitempty" json:"matIds"`
	Name       string               `bson:"name,omitempty" json:"name"`
	CusNum     string               `bson:"cusNum,omitempty" json:"cusNum"`
	Cover      string               `bson:"cover,omitempty" json:"cover"`
	Order      int32                `bson:"order,omitempty" json:"order"`
	DotQueen   string               `bson:"dotqueen,omitempty" json:"dotqueen"`
	Blend      string               `bson:"blend,omitempty" json:"blend"`
	Categories []string             `bson:"categories,omitempty" json:"categories"`
	CreateTime time.Time            `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time            `bson:"updateTime,omitempty" json:"updateTime"`
	Comps      []MeshComp           `bson:"comps,omitempty" json:"comps"`
}
